Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iview.igraph
Class IGraph

    java.lang.Object
      ix.iview.igraph.IGraph

All Implemented Interfaces:
  Named

    public class IGraph

extends java.lang.Object
implements Named

A graph with layout and view information.

Field Summary
`java.lang.String` | `name`
`LListCollector` | `nodes`
`java.lang.Class` | `nodeType`
`java.lang.Class` | `nodeViewType`
`protected lt.monarch.graph.GraphView` | `view`

Constructor Summary
`IGraph(java.lang.String theName)` Creates a new graph object with the given name and information from the given graph view.
`IGraph(java.lang.String theName, lt.monarch.graph.GraphView graphView)` Creates a new graph object with the given name and information from the given graph view.
`IGraph(java.lang.String theName, java.util.HashMap cpGraph)` Creates a new graph object with the given name and position information from the given map.
`IGraph(java.lang.String theName, java.util.List cpGraph)` Creates a new graph object with the given name and position information from the given map.

Method Summary
`java.lang.Object` | `clone()`
`protected ix.iview.igraph.IGraph.GraphNodeComponent` | `findNode(java.lang.Object node)`
`java.util.List` | `getCanvasPoints()`
`java.util.List` | `getGraphCanvasPoints()`
`java.lang.String` | `getName()`
`java.awt.Point` | `getPosition(java.lang.Object node)`
`boolean` | `isSameLayout(java.lang.Object positions)`
`void` | `layoutFromCanvasPoints(lt.monarch.graph.GraphView graphView)` Lays out the graph from the current canvas points.
`java.util.HashMap` | `readCanvasPoints()` Getting and noting canvas point information from the graph
`void` | `refreshGraph(lt.monarch.graph.GraphView graphView)` Refreshes the IGraph from the information in the graphView.
`void` | `setCanvasPoints(java.util.HashMap canvasPoints)`
`java.util.List` | `updateCanvasPoints()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nodeViewType

    public java.lang.Class nodeViewType

### nodeType

    public java.lang.Class nodeType

### name

    public java.lang.String name

### nodes

    public LListCollector nodes

### view

    protected lt.monarch.graph.GraphView view

Constructor Detail

### IGraph

    public IGraph(java.lang.String theName,
                  lt.monarch.graph.GraphView graphView)

  Creates a new graph object with the given name and information from the given graph view. Notes each model node with its location.

  Parameters:
    `theName` - the graph's name
    `graphView` - the GraphView object that holds the MGraph information

### IGraph

    public IGraph(java.lang.String theName)

  Creates a new graph object with the given name and information from the given graph view. Notes each model node with its location.

  Parameters:
    `theName` - the graph's name

### IGraph

    public IGraph(java.lang.String theName,
                  java.util.HashMap cpGraph)

  Creates a new graph object with the given name and position information from the given map. Notes each model node with its location.

  Parameters:
    `theName` - the graph's name
    `cpGraph` - the graph's canvas points in a hash map

### IGraph

    public IGraph(java.lang.String theName,
                  java.util.List cpGraph)

  Creates a new graph object with the given name and position information from the given map. Notes each model node with its location.

  Parameters:
    `theName` - the graph's name
    `cpGraph` - the graph's canvas points in a list of NodePoint objects

Method Detail

### refreshGraph

    public void refreshGraph(lt.monarch.graph.GraphView graphView)

  Refreshes the IGraph from the information in the graphView.

  Parameters:
    `graph` - the GraphView object that holds the MGraph information

### getPosition

    public java.awt.Point getPosition(java.lang.Object node)

### setCanvasPoints

    public void setCanvasPoints(java.util.HashMap canvasPoints)

### updateCanvasPoints

    public java.util.List updateCanvasPoints()

### getCanvasPoints

    public java.util.List getCanvasPoints()

### getGraphCanvasPoints

    public java.util.List getGraphCanvasPoints()

### readCanvasPoints

    public java.util.HashMap readCanvasPoints()

  Getting and noting canvas point information from the graph

### isSameLayout

    public boolean isSameLayout(java.lang.Object positions)

### layoutFromCanvasPoints

    public void layoutFromCanvasPoints(lt.monarch.graph.GraphView graphView)

  Lays out the graph from the current canvas points.

### findNode

    protected ix.iview.igraph.IGraph.GraphNodeComponent findNode(java.lang.Object node)

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Named`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD